libqt5platformsupport-devel-5.2.0-2.4.mga4.i586.rpm


Advertisement

Description

libqt5platformsupport-devel - Devel files needed to build apps based on QtPlatformSupport

Property Value
Distribution Mageia 4.1
Repository Mageia Core Updates i586
Package name libqt5platformsupport-devel
Package version 5.2.0
Package release 2.4.mga4
Package architecture i586
Package type rpm
Installed size 23.45 MB
Download size 4.21 MB
Official Mirror distrib-coffee.ipsl.jussieu.fr
Devel files needed to build iapps based on QtPlatformSupport.

Alternatives

Package Version Architecture Repository
libqt5platformsupport-devel-5.2.0-2.5.mga4.i586.rpm 5.2.0 i586 Mageia Core Updates
libqt5platformsupport-devel-5.2.0-2.3.mga4.i586.rpm 5.2.0 i586 Mageia Core Updates
libqt5platformsupport-devel-5.2.0-2.mga4.i586.rpm 5.2.0 i586 Mageia Core
libqt5platformsupport-devel - - -

Requires

Name Value
pkgconfig -
pkgconfig(Qt5Core) -
pkgconfig(Qt5Gui) -
qtbase5-common == 5.2.0
qtbase5-common-devel == 5.2.0-2.4.mga4

Provides

Name Value
libqt5platformsupport-devel == 5.2.0
libqt5platformsupport-devel == 5.2.0-2.4.mga4
libqt5platformsupport-devel(x86-32) == 5.2.0-2.4.mga4
libqtplatformsupport5-devel == 5.2.0
pkgconfig(Qt5PlatformSupport) == 5.2.0
qt5platformsupport-devel == 5.2.0
qtplatformsupport5-devel == 5.2.0

Download

Type URL
Binary Package libqt5platformsupport-devel-5.2.0-2.4.mga4.i586.rpm
Source Package qtbase5-5.2.0-2.4.mga4.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libqt5platformsupport-devel rpm package:
    # urpmi libqt5platformsupport-devel

Files

Path
/usr/lib/libQt5PlatformSupport.a
/usr/lib/libQt5PlatformSupport.prl
/usr/lib/pkgconfig/Qt5PlatformSupport.pc
/usr/lib/qt5/include/QtPlatformSupport/QtPlatformSupport
/usr/lib/qt5/include/QtPlatformSupport/QtPlatformSupportDepends
/usr/lib/qt5/include/QtPlatformSupport/QtPlatformSupportVersion
/usr/lib/qt5/include/QtPlatformSupport/qtplatformsupportversion.h

Changelog

2015-02-28 - lmenut <lmenut> 5.2.0-2.4.mga4
+ Revision: 817206
- add upstream patch to fix DoS vulnerability in the BMP image handler
(CVE-2015-0295) mga#15383
+ luigiwalser <luigiwalser>
- add patch from upstream via fedora to fix CVE-2014-0190
+ neoclust <neoclust>
- Fix previous commit by moving requires in the good package
- Fix Requires in qtsql5-devel
2013-12-14 - fwang <fwang> 5.2.0-2.mga4
+ Revision: 556694
- 5.2.0 final
2013-12-01 - fwang <fwang> 5.2.0-1.rc1.1.mga4
+ Revision: 554396
- 5.2.0 rc1
2013-10-26 - fwang <fwang> 5.2.0-1.beta1.2.mga4
+ Revision: 547083
- use xkbcommon instead
- br xcb-xkb
2013-10-26 - fwang <fwang> 5.2.0-1.beta1.1.mga4
+ Revision: 547072
- 5.2.0 beta1
2013-10-21 - umeabot <umeabot> 5.2.0-1.alpha.2.mga4
+ Revision: 538802
- Mageia 4 Mass Rebuild
2013-10-02 - neoclust <neoclust> 5.2.0-1.alpha.1.mga4
+ Revision: 490404
- New version 5.2.0 alpha
2013-09-26 - fwang <fwang> 5.2.0-0.0.20130523.9.mga4
+ Revision: 486794
- rebuild for icu 52
2013-08-10 - wally <wally> 5.2.0-0.0.20130523.8.mga4
+ Revision: 465090
- add more cmake fixes (rediff patch)
2013-08-10 - neoclust <neoclust> 5.2.0-0.0.20130523.7.mga4
+ Revision: 465081
- Add fedora patch to fix cmake path search

See Also

Package Description
libqt5platformsupport-private-devel-5.2.0-2.3.mga4.i586.rpm Devel files needed to build apps based on QtPlatformSupport
libqt5platformsupport-private-devel-5.2.0-2.4.mga4.i586.rpm Devel files needed to build apps based on QtPlatformSupport
libqt5platformsupport-private-devel-5.2.0-2.5.mga4.i586.rpm Devel files needed to build apps based on QtPlatformSupport
libqt5printsupport-devel-5.2.0-2.3.mga4.i586.rpm Devel files needed to build apps based on QtPrintSupport
libqt5printsupport-devel-5.2.0-2.4.mga4.i586.rpm Devel files needed to build apps based on QtPrintSupport
libqt5printsupport-devel-5.2.0-2.5.mga4.i586.rpm Devel files needed to build apps based on QtPrintSupport
libqt5printsupport-private-devel-5.2.0-2.3.mga4.i586.rpm Devel files needed to build apps based on QtPrintSupport
libqt5printsupport-private-devel-5.2.0-2.4.mga4.i586.rpm Devel files needed to build apps based on QtPrintSupport
libqt5printsupport-private-devel-5.2.0-2.5.mga4.i586.rpm Devel files needed to build apps based on QtPrintSupport
libqt5printsupport5-5.2.0-2.3.mga4.i586.rpm Qt5 Lib
libqt5printsupport5-5.2.0-2.4.mga4.i586.rpm Qt5 Lib
libqt5printsupport5-5.2.0-2.5.mga4.i586.rpm Qt5 Lib
libqt5sql-devel-5.2.0-2.3.mga4.i586.rpm Devel files needed to build apps based on QtSql
libqt5sql-devel-5.2.0-2.4.mga4.i586.rpm Devel files needed to build apps based on QtSql
libqt5sql-devel-5.2.0-2.5.mga4.i586.rpm Devel files needed to build apps based on QtSql
Advertisement
Advertisement